#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( DIRECTORY cards-aisleriot cards-dondorf-whist-b
    cards-gdkcard-bonded cards-hard-a-port cards-penguins
    cards-spaced cards-xskat-french cards-default decks
    cards-konqi-modern cards-warwick cards-xskat-german
  DESTINATION ${DATA_INSTALL_DIR}/carddecks
  PATTERN *.desktop EXCLUDE
)

file( GLOB_RECURSE _desktops
      RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
      ${CMAKE_CURRENT_SOURCE_DIR}/*.desktop )
foreach( _desktop IN LISTS _desktops )
  get_filename_component( _theme ${_desktop} PATH )
  tde_create_translated_desktop(
    SOURCE ${_desktop}
    DESTINATION ${DATA_INSTALL_DIR}/carddecks/${_theme}
    PO_DIR libtdegames-carddecks
  )
endforeach()
